Skip to main content
POST
/
templates
/
{uid}
/
render
Render a template
curl --request POST \
  --url https://api.pictify.io/templates/{uid}/render \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "variables": {},
  "format": "png",
  "quality": 0.9
}
'
{
  "url": "https://cdn.pictify.io/renders/abc123.png",
  "userStorageUrl": "<string>",
  "id": "img_abc123",
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.pictify.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from the Pictify dashboard

Path Parameters

uid
string
required

Body

application/json
variables
object
format
enum<string>
default:png
Available options:
png,
jpeg,
webp,
pdf
quality
number
default:0.9
Required range: 0.1 <= x <= 1

Response

200 - application/json

Template rendered

url
string<uri>

URL of the generated image

Example:

"https://cdn.pictify.io/renders/abc123.png"

userStorageUrl
string<uri>

URL in user's configured storage (if configured)

id
string

Unique image identifier

Example:

"img_abc123"

createdAt
string<date-time>

Timestamp when image was created